Slapt wants to downgrade QEMU

You have a problem with Salix? Post here and we'll do what we can to help.
Post Reply
icanttellyou
Posts: 6
Joined: 25. May 2019, 17:29

Slapt wants to downgrade QEMU

Post by icanttellyou » 1. Jun 2019, 19:52

I used a SlackBuild for QEMU that I modified. Slapt want's to downgrade QEMU 4.0.0 to QEMU 2.6.0.

galmei
Posts: 59
Joined: 1. Jun 2018, 21:54

Re: Slapt wants to downgrade QEMU

Post by galmei » 1. Jun 2019, 23:30

icanttellyou wrote:
1. Jun 2019, 19:52
I used a SlackBuild for QEMU that I modified. Slapt want's to downgrade QEMU 4.0.0 to QEMU 2.6.0.
Append

Code: Select all

,^qemu
to the 'EXCLUDE=' line in file /etc/slapt-get/slapt-getrc . You can do this via Gslapt (ctrl-p in Gslapt) or manually via an editor and sudo.

icanttellyou
Posts: 6
Joined: 25. May 2019, 17:29

Re: Slapt wants to downgrade QEMU

Post by icanttellyou » 2. Jun 2019, 19:03

Thanks, that worked.

User avatar
ChuangTzu
Donor
Posts: 327
Joined: 19. May 2015, 23:34

Re: Slapt wants to downgrade QEMU

Post by ChuangTzu » 2. Jun 2019, 20:23

or add

Code: Select all

[0-9]+_SBo 
to your slapt-get excludes and it will prevent slapt-get from upgrading/downgrading any SBo package.
Image
Image

User avatar
gapan
Salix Wizard
Posts: 5490
Joined: 6. Jun 2009, 17:40

Re: Slapt wants to downgrade QEMU

Post by gapan » 2. Jun 2019, 20:46

Image
Image

Post Reply